Android Question PARSE ERROR: unsupported class file version 52.0

Kaybee

New Member
Licensed User
Hello, I've been trying the sample program on Machine Learning made by Sir Moster67, however I'm getting this error.

B4A Version: 7.30
Parsing code. (0.02s)
Compiling code. (0.21s)
Compiling layouts code. (0.00s)
Organizing libraries. (0.00s)
Generating R file. (0.06s)
Compiling debugger engine code. (1.33s)
Compiling generated Java code. (1.78s)
Convert byte code - optimized dex. Error
PARSE ERROR:
unsupported class file version 52.0
...while parsing org/tensorflow/lite/DataType.class
1 error; aborting

From the search result, the solutions provided was to update my Java SDK version, which I did, but to no avail did not solve the problem.

I've been working on projects made from B4A recently so I think it's not about the installation. I hope someone can help me with this.
 

Kaybee

New Member
Licensed User
Yes Sir, I've already done this as I've followed the instructions from the solutions that was given. However, I still experienced that problem.

upload_2019-9-3_19-31-34.png
 

Kaybee

New Member
Licensed User
Thanks sir. I tried it on the latest version (on trial) and there seems to be no problem. So the problem lies with my b4a version.
 
Top